package cn.reghao.devops.web.mgr.log.model.po;

import cn.reghao.jutil.jdk.db.BaseObject;
import lombok.Getter;
import lombok.NoArgsConstructor;

/**
 * @author reghao
 * @date 2023-10-23 11:26:38
 */
@NoArgsConstructor
@Getter
public class AppLog extends BaseObject<String> {
    private String app;
    private String host;
    private long timestamp;
    private String level;
    private String thread;
    private String logger;
    private String message;

    public AppLog(cn.reghao.jutil.jdk.result.AppLog appLog) {
        this.app = appLog.getApp();
        this.host = appLog.getHost();
        this.timestamp = appLog.getTimestamp();
        this.level = appLog.getLevel();
        this.thread = appLog.getThread();
        this.logger = appLog.getLogger();
        this.message = appLog.getMessage();
    }
}
